    Calculate the complement of the regularized incomplete Gamma function (upper).

igamc(a, x)
a - scalar or array
x - scalar or array

The function is defined using the regularized incomplete Gamma function - igam(a,x) - and the Gamma function - gamma(a) - as:

igamc(a,x) = 1 - igam(a,x) = 1 / gamma(a) Int_x^Inf e^(-t) t^(a-1) dt
>>> igamc(1, 2) 0.1353352832366127
>>> igamc([1,1], [2,3]) array([ 0.13533528, 0.04978707])

PARAMETERS

The parameters for this function are:

Parameter
Definition
a
a > 0
x
x > 0

The return value from this function is:

val -- The incomplete Gamma function of the input.

Notes

In this implementation, which is provided by the Cephes Math Library [1] , both arguments must be positive. The integral is evaluated by either a power series or continued fraction expansion, depending on the relative values of a and x. Using IEEE arithmetic, the relative errors are

domain
domain
# trials
peak
rms
0.5,100
0,100
200000
1.9e-14
1.7e-15
0.01,0.5
0,100
200000
1.4e-13
1.6e-15

References

[1] Cephes Math Library Release 2.0: April, 1987. Copyright 1985, 1987 by Stephen L. Moshier. Direct inquiries to 30 Frost Street, Cambridge, MA 02140.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023